bugSimulavr: an AVR simulator - Bugs: bug #35426, Build problem: configure failed

 
 

bug #35426: Build problem: configure failed

Submitted by:  None
Submitted on:  Wed 01 Feb 2012 09:55:05 AM UTC  
 
Category: ConfigureSeverity: 3 - Normal
Item Group: NoneStatus: Wont Fix
Privacy: PublicAssigned to: Thomas K. <tomk>
Originator Email: -unavailable-Open/Closed: Closed
Component Version: simulavr

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

(Jump to the original submission Jump to the original submission)

Mon 20 May 2013 09:55:20 AM UTC, comment #6:

I close this item, because this is not a problem of simulavr but the installed toolchain. On my old system I run into the same trouble but could work with the workaround ( setting AC_PORG_LIBTOOL instead of LT_INIT).

Klaus Rudolph <zfrdh>
Project Administrator
Sun 05 Feb 2012 09:33:59 AM UTC, comment #5:

Hi Jules,

the problem, as you also found out, is the version of libtool. With a change on august 27th 2009 version of libtool is limited to version 2.2 or newer. So I could tell, your libtool is a little bit outdated. :-) Maybe you could try to "revert" this change locally. Delete the lines with "LT_INIT" and "LT_PREREQ(...)" and
write "AC_PROG_LIBTOOL" on this place. Maybe it helps you, I can't try it.

cu, Thomas

Thomas K. <tomk>
Project AdministratorIn charge of this item.
Sat 04 Feb 2012 06:30:28 PM UTC, comment #4:

I usually have hard time using auto-tools, so I use my hand-coded makefile (attached). Beware: it does not handle header dependencies, you need `make clean' if you change a header.

I cannot help you. I tried to learn autotools few years ago and failed.

I hope some of the folks reading mailing list may help you. (Changes in bugtracker are forwarded there.)

(file #24980)

Petr Hluzin <petrh>
Project Member
Wed 01 Feb 2012 05:02:02 PM UTC, comment #3:

1.5, so that'll be the problem. Might be worth documenting the version dependency. :)

Anonymous
Wed 01 Feb 2012 11:07:06 AM UTC, comment #2:

LT_INIT and LT_PREREQ are only available in libtool 2.2 or higher

Which version of libtool is on your system?

run:

$ libtool --version

to find out. You might need to upgrade to libtool 2.2 or newer.

Anonymous
Wed 01 Feb 2012 10:03:47 AM UTC, comment #1:

Adding AC_PROG_LIBTOOL as suggested by the output of bootstrap helps, but does not completely solve the problem. I'm not an autoconf expert, so apologies if I've done this wrong:

diff --git a/configure.ac b/configure.ac
index e49a6a5..5acd330 100644
--- a/configure.ac
+++ b/configure.ac
@@ -24,6 +24,7 @@ fi
####
# support of libtool, g++, swig (for tcl module and python module used)
####
+AC_PROG_LIBTOOL
LT_INIT
LT_PREREQ([2.2])
AC_PROG_CXX

$ ./bootstrap -c; ./bootstrap
removing automake generated Makefile.in files
removing configure files
removing aclocal.m4 files
configure.ac:9: installing `./install-sh'
configure.ac:9: installing `./missing'
src/Makefile.am: installing `./depcomp'

Now type './configure' to configure simulavr.
$ ./configure

checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether build system is MSYS/MingW... no
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no

checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether accepts -g... no
checking the maximum length of command line arguments... 98304
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
(cached) (cached) checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
./configure: line 19243: LT_INIT: command not found
./configure: line 19244: syntax error near unexpected token `2.2'
./configure: line 19244: `LT_PREREQ(2.2)'

Anonymous
Wed 01 Feb 2012 09:55:05 AM UTC, original submission:

Debian lenny system (with autoconf upgraded from lenny-backports):

autoconf 2.65-2~bpo50+1
automake 1:1.10.1-3
m4 1.4.13-3~bpo50+1

Using tree downloaded from git (most recent commit is 1afa4d03603b618a6326c2aabc5a0bb0b3fcd0e2).

Output of build process:

jules@vengeance:~/Work/avr/simulavr$ ./bootstrap
Remember to add `AC_PROG_LIBTOOL' to `configure.ac'.
You should update your `aclocal.m4' by running aclocal.
configure.ac:9: installing `./install-sh'
configure.ac:9: installing `./missing'
src/Makefile.am:18: Libtool library used but `LIBTOOL' is undefined
src/Makefile.am:18: The usual way to define `LIBTOOL' is to add `AC_PROG_LIBTOOL'
src/Makefile.am:18: to `configure.ac' and run `aclocal' and `autoconf' again.
src/Makefile.am:18: If `AC_PROG_LIBTOOL' is in `configure.ac', make sure
src/Makefile.am:18: its definition is in aclocal's search path.
src/Makefile.am: installing `./depcomp'

Now type './configure' to configure simulavr.
jules@vengeance:~/Work/avr/simulavr$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether build system is MSYS/MingW... no
./configure: line 2808: LT_INIT: command not found
./configure: line 2809: syntax error near unexpected token `2.2'
./configure: line 2809: `LT_PREREQ(2.2)'

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

Attached Files
file #24980:  Makefile.PetrH added by petrh (2kB - application/octet-stream - what I use as a workaround)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by zfrdh (Posted a comment)
  • -unavailable- added by tomk (Posted a comment)
  • -unavailable- added by petrh (Updated the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 4 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Mon 20 May 2013 09:55:20 AM UTCzfrdhStatusNone=>Wont Fix
      Open/ClosedOpen=>Closed
    Sun 05 Feb 2012 09:35:14 AM UTCtomkAssigned toNone=>tomk
    Sat 04 Feb 2012 06:30:28 PM UTCpetrhAttached File-=>Added Makefile.PetrH, #24980

    Back to the top


    Powered by Savane 3.1-cleanup